Update Aggregation - m3ter Documentation
Update Aggregation
cURL
curl --request PUT \
--url https://api.m3ter.com/organizations/{orgId}/aggregations/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"quantityPerUnit": 1,
"unit": "<string>",
"meterId": "<string>",
"targetField": "<string>",
"version": 123,
"customFields": {},
"code": "example_code",
"accountingProductId": "<string>",
"segmentedFields": [
"<string>"
],
"segments": [
{}
],
"defaultValue": 1,
"customSql": "<string>"
}
'
Python Code
import requests
url = "https://api.m3ter.com/organizations/{orgId}/aggregations/{id}"
payload = {
"name": "<string>",
"quantityPerUnit": 1,
"unit": "<string>",
"meterId": "<string>",
"targetField": "<string>",
"version": 123,
"customFields": {},
"code": "example_code",
"accountingProductId": "<string>",
"segmentedFields": ["<string>"],
"segments": [{}],
"defaultValue": 1,
"customSql": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)
JavaScript Code
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
quantityPerUnit: 1,
unit: '<string>',
meterId: '<string>',
targetField: '<string>',
version: 123,
customFields: {},
code: 'example_code',
accountingProductId: '<string>',
segmentedFields: ['<string>'],
segments: [{}],
defaultValue: 1,
customSql: '<string>'
})
};
fetch('https://api.m3ter.com/organizations/{orgId}/aggregations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP Code
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.m3ter.com/organizations/{orgId}/aggregations/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'quantityPerUnit' => 1,
'unit' => '<string>',
'meterId' => '<string>',
'targetField' => '<string>',
'version' => 123,
'customFields' => [],
'code' => 'example_code',
'accountingProductId' => '<string>',
'segmentedFields' => ['<string>'],
'segments' => [[]],
'defaultValue' => 1,
'customSql' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
?>
Response Example
{
"id": "<string>",
"version": 123,
"customFields": {},
"name": "<string>",
"quantityPerUnit": 123,
"unit": "<string>",
"code": "<string>",
"segments": [{}],
"accountingProductId": "<string>",
"meterId": "<string>",
"targetField": "<string>",
"segmentedFields": ["<string>"],
"defaultValue": 123,
"customSql": "<string>",
"productId": "<string>",
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>"
}
Status Codes
- 200: Successful update.
- 4XX: Client error.
- 5XX: Server error.